/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.roles_lista', {
            url: '/roles',
            templateUrl: 'templates/roles/roles-list.html' + random,
            controller: 'RolesListCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/roles-controllers.js' + random,
                            'js/services/roles-services.js' + random,
                            'js/services/permisos-services.js' + random,
                            'js/services/modulos-acciones-roles-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);
